/** @typedef {typeof __propDef.props}  BubbleProps */
/** @typedef {typeof __propDef.events}  BubbleEvents */
/** @typedef {typeof __propDef.slots}  BubbleSlots */
export default class Bubble extends SvelteComponent<{
    color: any;
    bgColor: any;
    message?: string | undefined;
    sender?: string | undefined;
    fontFamily?: string | undefined;
}, {
    [evt: string]: CustomEvent<any>;
}, {
    default: {};
}> {
}
export type BubbleProps = typeof __propDef.props;
export type BubbleEvents = typeof __propDef.events;
export type BubbleSlots = typeof __propDef.slots;
import { SvelteComponent } from "svelte";
declare const __propDef: {
    props: {
        color: any;
        bgColor: any;
        message?: string | undefined;
        sender?: string | undefined;
        fontFamily?: string | undefined;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {};
    };
    exports?: undefined;
    bindings?: undefined;
};
export {};
