/** @typedef {typeof __propDef.props}  RadioButtonProps */
/** @typedef {typeof __propDef.events}  RadioButtonEvents */
/** @typedef {typeof __propDef.slots}  RadioButtonSlots */
export default class RadioButton extends SvelteComponent<{
    value: any;
    label?: string | undefined;
}, {
    toggleItemChanged: CustomEvent<any>;
} & {
    [evt: string]: CustomEvent<any>;
}, {}> {
}
export type RadioButtonProps = typeof __propDef.props;
export type RadioButtonEvents = typeof __propDef.events;
export type RadioButtonSlots = typeof __propDef.slots;
import { SvelteComponent } from "svelte";
declare const __propDef: {
    props: {
        value: any;
        label?: string | undefined;
    };
    events: {
        toggleItemChanged: CustomEvent<any>;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
    exports?: undefined;
    bindings?: undefined;
};
export {};
