import { SvelteComponent } from "svelte";
declare const __propDef: {
    props: {
        label?: string;
        value: any;
        showDeleteButton?: boolean;
        tabPosition?: "top" | "bottom" | "left" | "right";
        deleteButtonClick?: ((label: string, value: any) => void) | undefined;
        customEvents?: string[];
    };
    events: {
        toggleItemChanged: CustomEvent<{
            label: string;
            value: any;
        }>;
        tabClicked: CustomEvent<{
            label: string;
            value: any;
        }>;
        tabDeleteButtonClicked: CustomEvent<{
            label: string;
            value: any;
        }>;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
    exports?: {} | undefined;
    bindings?: string | undefined;
};
export type TabButtonProps = typeof __propDef.props;
export type TabButtonEvents = typeof __propDef.events;
export type TabButtonSlots = typeof __propDef.slots;
export default class TabButton extends SvelteComponent<TabButtonProps, TabButtonEvents, TabButtonSlots> {
    get customEvents(): string[];
}
export {};
