import { SvelteComponent } from "svelte";
declare const __propDef: {
    props: {
        tabs?: {
            label: string;
            component: any;
            componentClassName: string;
            props?: Record<string, any>;
        }[];
        selectedTabIndex?: number;
        tabPosition?: "right" | "left" | "top" | "bottom";
        showContentControl?: boolean;
        customEvents?: string[];
        getTabComponents?: () => any[];
    };
    events: {
        contextmenu: MouseEvent;
        updateChildComponentInfo: CustomEvent<any>;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
    exports?: {} | undefined;
    bindings?: string | undefined;
};
export type TabProps = typeof __propDef.props;
export type TabEvents = typeof __propDef.events;
export type TabSlots = typeof __propDef.slots;
export default class Tab extends SvelteComponent<TabProps, TabEvents, TabSlots> {
    get getTabComponents(): () => any[];
    get tabs(): {
        label: string;
        component: any;
        componentClassName: string;
        props?: Record<string, any>;
    }[] | undefined;
    /**accessor*/
    set tabs(_: {
        label: string;
        component: any;
        componentClassName: string;
        props?: Record<string, any>;
    }[] | undefined);
    get selectedTabIndex(): number | undefined;
    /**accessor*/
    set selectedTabIndex(_: number | undefined);
    get tabPosition(): ("right" | "left" | "top" | "bottom") | undefined;
    /**accessor*/
    set tabPosition(_: ("right" | "left" | "top" | "bottom") | undefined);
    get showContentControl(): boolean | undefined;
    /**accessor*/
    set showContentControl(_: boolean | undefined);
    get customEvents(): string[] | undefined;
    /**accessor*/
    set customEvents(_: string[] | undefined);
}
export {};
