/** @typedef {typeof __propDef.props}  TabButtonGroupProps */
/** @typedef {typeof __propDef.events}  TabButtonGroupEvents */
/** @typedef {typeof __propDef.slots}  TabButtonGroupSlots */
export default class TabButtonGroup extends SvelteComponent<{
    showContentControl?: boolean | undefined;
    tabs?: any[] | undefined;
    selectedTabIndex?: number | undefined;
    tabPosition?: string | undefined;
}, {
    tabDeleteButtonClicked: CustomEvent<any>;
    tabSelected: CustomEvent<any>;
    tabAddButtonClicked: CustomEvent<any>;
} & {
    [evt: string]: CustomEvent<any>;
}, {}> {
}
export type TabButtonGroupProps = typeof __propDef.props;
export type TabButtonGroupEvents = typeof __propDef.events;
export type TabButtonGroupSlots = typeof __propDef.slots;
import { SvelteComponent } from "svelte";
declare const __propDef: {
    props: {
        showContentControl?: boolean | undefined;
        tabs?: any[] | undefined;
        selectedTabIndex?: number | undefined;
        tabPosition?: string | undefined;
    };
    events: {
        tabDeleteButtonClicked: CustomEvent<any>;
        tabSelected: CustomEvent<any>;
        tabAddButtonClicked: CustomEvent<any>;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
    exports?: undefined;
    bindings?: undefined;
};
export {};
